## nodejs 0.8.12-maemo1

=== Makefile ===
-include config.mk

BUILDTYPE ?= Release
PYTHON ?= python
DESTDIR ?=
SIGN ?=

# Default to verbose builds.
# To do quiet/pretty builds, run `make V=` to set V to an empty string,
# or set the V environment variable to an empty string.
V ?= 1

# BUILDTYPE=Debug builds both release and debug builds. If you want to compile
# just the debug build, run `make -C out BUILDTYPE=Debug` instead.
ifeq ($(BUILDTYPE),Release)
all: out/Makefile node
else
all: out/Makefile node node_g
endif

# The .PHONY is needed to ensure that we recursively use the out/Makefile
# to check for changes.
.PHONY: node node_g

node: config.gypi out/Makefile
	$(MAKE) -C out BUILDTYPE=Release V=$(V)
	ln -fs out/Release/node node

node_g: config.gypi out/Makefile
	$(MAKE) -C out BUILDTYPE=Debug V=$(V)
	ln -fs out/Debug/node node_g

config.gypi: configure
	./configure

out/Debug/node:
	$(MAKE) -C out BUILDTYPE=Debug V=$(V)

out/Makefile: common.gypi deps/uv/uv.gyp deps/http_parser/http_parser.gyp deps/zlib/zlib.gyp deps/v8/build/common.gypi deps/v8/tools/gyp/v8.gyp node.gyp config.gypi
	$(PYTHON) tools/gyp_node -f make

install: all
	$(PYTHON) tools/install.py $@ $(DESTDIR)

uninstall:
	$(PYTHON) tools/install.py $@ $(DESTDIR)

clean:
	-rm -rf out/Makefile node node_g out/$(BUILDTYPE)/node blog.html email.md
	-find out/ -name '*.o' -o -name '*.a' | xargs rm -rf
	-rm -rf node_modules

distclean:
	-rm -rf out
	-rm -f config.gypi
	-rm -f config.mk
	-rm -rf node node_g blog.html email.md
	-rm -rf node_modules

test: all
	$(PYTHON) tools/test.py --mode=release simple message
	PYTHONPATH=tools/closure_linter/ $(PYTHON) tools/closure_linter/closure_linter/gjslint.py --unix_mode --strict --nojsdoc -r lib/ -r src/ --exclude_files lib/punycode.js

test-http1: all
	$(PYTHON) tools/test.py --mode=release --use-http1 simple message

test-valgrind: all
	$(PYTHON) tools/test.py --mode=release --valgrind simple message

test/gc/node_modules/weak/build:
	@if [ ! -f node ]; then make all; fi
	./node deps/npm/node_modules/node-gyp/bin/node-gyp rebuild \
		--directory="$(shell pwd)/test/gc/node_modules/weak" \
		--nodedir="$(shell pwd)"

test-gc: all test/gc/node_modules/weak/build
	$(PYTHON) tools/test.py --mode=release gc

test-all: all test/gc/node_modules/weak/build
	$(PYTHON) tools/test.py --mode=debug,release
	make test-npm

test-all-http1: all
	$(PYTHON) tools/test.py --mode=debug,release --use-http1

test-all-valgrind: all
	$(PYTHON) tools/test.py --mode=debug,release --valgrind

test-release: all
	$(PYTHON) tools/test.py --mode=release

test-debug: all
	$(PYTHON) tools/test.py --mode=debug

test-message: all
	$(PYTHON) tools/test.py message

test-simple: all
	$(PYTHON) tools/test.py simple

test-pummel: all
	$(PYTHON) tools/test.py pummel

test-internet: all
	$(PYTHON) tools/test.py internet

test-npm: node
	./node deps/npm/test/run.js

test-npm-publish: node
	npm_package_config_publishtest=true ./node deps/npm/test/run.js

apidoc_sources = $(wildcard doc/api/*.markdown)
apidocs = $(addprefix out/,$(apidoc_sources:.markdown=.html)) \
          $(addprefix out/,$(apidoc_sources:.markdown=.json))

apidoc_dirs = out/doc out/doc/api/ out/doc/api/assets out/doc/about out/doc/community out/doc/download out/doc/logos out/doc/images

apiassets = $(subst api_assets,api/assets,$(addprefix out/,$(wildcard doc/api_assets/*)))

doc_images = $(addprefix out/,$(wildcard doc/images/* doc/*.jpg doc/*.png))

website_files = \
	out/doc/index.html    \
	out/doc/v0.4_announcement.html   \
	out/doc/cla.html      \
	out/doc/sh_main.js    \
	out/doc/sh_javascript.min.js \
	out/doc/sh_vim-dark.css \
	out/doc/sh.css \
	out/doc/favicon.ico   \
	out/doc/pipe.css \
	out/doc/about/index.html \
	out/doc/community/index.html \
	out/doc/download/index.html \
	out/doc/logos/index.html \
	out/doc/changelog.html \
	$(doc_images)

doc: $(apidoc_dirs) $(website_files) $(apiassets) $(apidocs) tools/doc/ blog node

blogclean:
	rm -rf out/blog

blog: doc/blog out/Release/node tools/blog
	out/Release/node tools/blog/generate.js doc/blog/ out/blog/ doc/blog.html doc/rss.xml

$(apidoc_dirs):
	mkdir -p $@

out/doc/api/assets/%: doc/api_assets/% out/doc/api/assets/
	cp $< $@

out/doc/changelog.html: ChangeLog doc/changelog-head.html doc/changelog-foot.html tools/build-changelog.sh node
	bash tools/build-changelog.sh

out/doc/%.html: doc/%.html node
	cat $< | sed -e 's|__VERSION__|'$(VERSION)'|g' > $@

out/doc/%: doc/%
	cp -r $< $@

out/doc/api/%.json: doc/api/%.markdown node
	out/Release/node tools/doc/generate.js --format=json $< > $@

out/doc/api/%.html: doc/api/%.markdown node
	out/Release/node tools/doc/generate.js --format=html --template=doc/template.html $< > $@

email.md: ChangeLog tools/email-footer.md
	bash tools/changelog-head.sh | sed 's|^\* #|* \\#|g' > $@
	cat tools/email-footer.md | sed -e 's|__VERSION__|'$(VERSION)'|g' >> $@

blog.html: email.md
	cat $< | ./node tools/doc/node_modules/.bin/marked > $@

blog-upload: blog
	rsync -r out/blog/ node@nodejs.org:~/web/nodejs.org/blog/

website-upload: doc
	rsync -r out/doc/ node@nodejs.org:~/web/nodejs.org/
	ssh node@nodejs.org '\
    rm -f ~/web/nodejs.org/dist/latest &&\
    ln -s $(VERSION) ~/web/nodejs.org/dist/latest &&\
    rm -f ~/web/nodejs.org/docs/latest &&\
    ln -s $(VERSION) ~/web/nodejs.org/docs/latest &&\
    rm -f ~/web/nodejs.org/dist/node-latest.tar.gz &&\
    ln -s $(VERSION)/node-$(VERSION).tar.gz ~/web/nodejs.org/dist/node-latest.tar.gz'

docopen: out/doc/api/all.html
	-google-chrome out/doc/api/all.html

docclean:
	-rm -rf out/doc

VERSION=v$(shell $(PYTHON) tools/getnodeversion.py)
RELEASE=$(shell $(PYTHON) tools/getnodeisrelease.py)
PLATFORM=$(shell uname | tr '[:upper:]' '[:lower:]')
ifeq ($(findstring x86_64,$(shell uname -m)),x86_64)
DESTCPU ?= x64
else
DESTCPU ?= ia32
endif
ifeq ($(DESTCPU),x64)
ARCH=x64
else
ARCH=x86
endif
TARNAME=node-$(VERSION)
TARBALL=$(TARNAME).tar.gz
BINARYNAME=$(TARNAME)-$(PLATFORM)-$(ARCH)
BINARYTAR=$(BINARYNAME).tar.gz
PKG=out/$(TARNAME).pkg
packagemaker=/Developer/Applications/Utilities/PackageMaker.app/Contents/MacOS/PackageMaker

dist: doc $(TARBALL) $(PKG)

PKGDIR=out/dist-osx

release-only:
	@if [ "$(shell git status --porcelain | egrep -v '^\?\? ')" = "" ]; then \
		exit 0 ; \
	else \
	  echo "" >&2 ; \
		echo "The git repository is not clean." >&2 ; \
		echo "Please commit changes before building release tarball." >&2 ; \
		echo "" >&2 ; \
		git status --porcelain | egrep -v '^\?\?' >&2 ; \
		echo "" >&2 ; \
		exit 1 ; \
	fi
	@if [ "$(RELEASE)" = "1" ]; then \
		exit 0; \
	else \
	  echo "" >&2 ; \
		echo "#NODE_VERSION_IS_RELEASE is set to $(RELEASE)." >&2 ; \
	  echo "Did you remember to update src/node_version.cc?" >&2 ; \
	  echo "" >&2 ; \
		exit 1 ; \
	fi

pkg: $(PKG)

$(PKG): release-only
	rm -rf $(PKGDIR)
	rm -rf out/deps out/Release
	./configure --prefix=$(PKGDIR)/32/usr/local --without-snapshot --dest-cpu=ia32
	$(MAKE) install V=$(V)
	rm -rf out/deps out/Release
	./configure --prefix=$(PKGDIR)/usr/local --without-snapshot --dest-cpu=x64
	$(MAKE) install V=$(V)
	SIGN="$(SIGN)" PKGDIR="$(PKGDIR)" bash tools/osx-codesign.sh
	lipo $(PKGDIR)/32/usr/local/bin/node \
		$(PKGDIR)/usr/local/bin/node \
		-output $(PKGDIR)/usr/local/bin/node-universal \
		-create
	mv $(PKGDIR)/usr/local/bin/node-universal $(PKGDIR)/usr/local/bin/node
	rm -rf $(PKGDIR)/32
	$(packagemaker) \
		--id "org.nodejs.Node" \
		--doc tools/osx-pkg.pmdoc \
		--out $(PKG)
	SIGN="$(SIGN)" PKG="$(PKG)" bash tools/osx-productsign.sh

$(TARBALL): release-only node doc
	git archive --format=tar --prefix=$(TARNAME)/ HEAD | tar xf -
	mkdir -p $(TARNAME)/doc/api
	cp doc/node.1 $(TARNAME)/doc/node.1
	cp -r out/doc/api/* $(TARNAME)/doc/api/
	rm -rf $(TARNAME)/deps/v8/test # too big
	rm -rf $(TARNAME)/doc/images # too big
	find $(TARNAME)/ -type l | xargs rm # annoying on windows
	tar -cf $(TARNAME).tar $(TARNAME)
	rm -rf $(TARNAME)
	gzip -f -9 $(TARNAME).tar

tar: $(TARBALL)

$(BINARYTAR): release-only
	rm -rf $(BINARYNAME)
	rm -rf out/deps out/Release
	./configure --prefix=/ --without-snapshot --dest-cpu=$(DESTCPU)
	$(MAKE) install DESTDIR=$(BINARYNAME) V=$(V) PORTABLE=1
	cp README.md $(BINARYNAME)
	cp LICENSE $(BINARYNAME)
	cp ChangeLog $(BINARYNAME)
	tar -cf $(BINARYNAME).tar $(BINARYNAME)
	rm -rf $(BINARYNAME)
	gzip -f -9 $(BINARYNAME).tar

binary: $(BINARYTAR)

dist-upload: $(TARBALL) $(PKG)
	ssh node@nodejs.org mkdir -p web/nodejs.org/dist/$(VERSION)
	scp $(TARBALL) node@nodejs.org:~/web/nodejs.org/dist/$(VERSION)/$(TARBALL)
	scp $(PKG) node@nodejs.org:~/web/nodejs.org/dist/$(VERSION)/$(TARNAME).pkg

bench:
	 benchmark/http_simple_bench.sh

bench-idle:
	./node benchmark/idle_server.js &
	sleep 1
	./node benchmark/idle_clients.js &

jslintfix:
	PYTHONPATH=tools/closure_linter/ $(PYTHON) tools/closure_linter/closure_linter/fixjsstyle.py --strict --nojsdoc -r lib/ -r src/ --exclude_files lib/punycode.js

jslint:
	PYTHONPATH=tools/closure_linter/ $(PYTHON) tools/closure_linter/closure_linter/gjslint.py --unix_mode --strict --nojsdoc -r lib/ -r src/ --exclude_files lib/punycode.js

cpplint:
	@$(PYTHON) tools/cpplint.py $(wildcard src/*.cc src/*.h src/*.c)

lint: jslint cpplint

.PHONY: lint cpplint jslint bench clean docopen docclean doc dist distclean check uninstall install install-includes install-bin all staticlib dynamiclib test test-all website-upload pkg blog blogclean tar binary release-only

=== debian/changelog ===
nodejs (0.8.12-maemo1) unstable; urgency=low

   * 'armv7%':'1', and 'arm_neon%':'1',  (from rasberrypi)
   * LINK=g++             (cause error otherwise)
   * --without-snapshot   (cause error otherwise)
   * --prefix=/opt/node   (optifying)
   * import simplejson as json  (using python2.5, not newer)
   * use explicitely python2.5 (unless it uses python2.3)

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Mon, 15 Oct 2012 18:03:40 +0200

=== debian/control ===
Source: nodejs
Section: libs
Priority: optional
Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com> 
Build-Depends: debhelper (>= 5.0.42), python2.5, python-simplejson
Standards-Version: 3.8.1
Homepage: http://nodejs.org/

Package: nodejs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
Description: Node.js event-based server-side javascript engine
 Node.js is similar in design to and influenced by systems like
 Ruby's Event Machine or Python's Twisted.
 .
 It takes the event model a bit further - it presents the event
 loop as a language construct instead of as a library.
 .
 Node.js is bundled with several useful libraries to handle server tasks :
 System, Events, Standard I/O, Modules, Timers, Child Processes, POSIX,
 HTTP, Multipart Parsing, TCP, DNS, Assert, Path, URL, Query Strings.
XSBC-Bugtracker: https://github.com/joyent/node/issues

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif


configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	tar xvf node-v0.8.12.tar.gz

	#credits: http://krispypen.github.com/blog/2012/10/07/compile-nodejs-for-your-n900/
	patch -p0 < debian/patches/maemo5_armv5.diff

	#with old python (2.5)
	patch -p0 < debian/patches/maemo5_python25.diff

	#use python2.5 with every python file
	cd node-v0.8.12 ; find . -type f -print0 | xargs -0 sed -i 's/\/usr\/bin\/env python/\/usr\/bin\/env python2.5/g'

	#use python2.5	
	sed -i 's/python/python2.5/g' node-v0.8.12/Makefile
	sed -i 's/python/python2.5/g' node-v0.8.12/node.gyp
	sed -i 's/python/python2.5/g' node-v0.8.12/tools/build-changelog.sh
	sed -i 's/python/python2.5/g' node-v0.8.12/tools/test.py
	sed -i 's/python/python2.5/g' node-v0.8.12/deps/v8/DEPS
	sed -i 's/python/python2.5/g' node-v0.8.12/deps/v8/Makefile
	sed -i 's/python/python2.5/g' node-v0.8.12/test/pummel/test-child-process-spawn-loop.js
	sed -i 's/python/python2.5/g' node-v0.8.12/test/pummel/test-exec.js
	sed -i 's/python/python2.5/g' node-v0.8.12/test/simple/test-child-process-set-blocking.js
	sed -i 's/python/python2.5/g' node-v0.8.12/deps/v8/src/d8.gyp
	sed -i 's/python/python2.5/g' node-v0.8.12/deps/v8/src/macros.py
	sed -i 's/python/python2.5/g' node-v0.8.12/deps/v8/tools/fuzz-harness.sh
	sed -i 's/python/python2.5/g' node-v0.8.12/deps/v8/tools/presubmit.py
	sed -i 's/python/python2.5/g' node-v0.8.12/deps/v8/tools/test.py
	sed -i 's/python/python2.5/g' node-v0.8.12/deps/v8/tools/test-wrapper-gypbuild.py
	sed -i 's/python/python2.5/g' node-v0.8.12/deps/v8/tools/gyp/v8.gyp

	#same file (different version)
	sed -i 's/raise/None #raise/g' node-v0.8.12/tools/js2c.py
	sed -i 's/raise ("I/None #raise ("I/g' node-v0.8.12/deps/v8/tools/js2c.py

	
	#remove bat-files (just in case)
	find . -type f -name "*.bat" -exec rm {} \;

	#LINK is needed, why?
	cd node-v0.8.12 ; export LINK=g++ ; ./configure --prefix=/opt/node --without-snapshot

	touch configure-stamp

build: build-stamp
build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	cd node-v0.8.12 ; export LINK=g++ ; make
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	rm -rf node-v0.8.12
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	cd node-v0.8.12 ; export LINK=g++ ; make DESTDIR=$(CURDIR)/debian/nodejs install

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## nodejs 0.8.15

=== deps/openssl/asm/Makefile ===
PERL	?= perl
PERL	+= -I../openssl/crypto/perlasm -I../openssl/crypto/bn/asm

OUTPUTS	= \
	x86-elf-gas/aes/aes-586.s \
	x86-elf-gas/bf/bf-686.s \
	x86-elf-gas/bn/x86-mont.s \
	x86-elf-gas/bn/x86.s \
	x86-elf-gas/camellia/cmll-x86.s \
	x86-elf-gas/cast/cast-586.s \
	x86-elf-gas/des/crypt586.s \
	x86-elf-gas/des/des-586.s \
	x86-elf-gas/md5/md5-586.s \
	x86-elf-gas/rc4/rc4-586.s \
	x86-elf-gas/rc5/rc5-586.s \
	x86-elf-gas/ripemd/rmd-586.s \
	x86-elf-gas/sha/sha1-586.s \
	x86-elf-gas/sha/sha256-586.s \
	x86-elf-gas/sha/sha512-586.s \
	x86-elf-gas/whrlpool/wp-mmx.s \
	x86-elf-gas/x86cpuid.s \
	x64-elf-gas/aes/aes-x86_64.s \
	x64-elf-gas/bn/x86_64-mont.s \
	x64-elf-gas/camellia/cmll-x86_64.s \
	x64-elf-gas/md5/md5-x86_64.s \
	x64-elf-gas/rc4/rc4-x86_64.s \
	x64-elf-gas/sha/sha1-x86_64.s \
	x64-elf-gas/sha/sha512-x86_64.s \
	x64-elf-gas/whrlpool/wp-x86_64.s \
	x64-elf-gas/x86_64cpuid.s \
	x86-macosx-gas/aes/aes-586.s \
	x86-macosx-gas/bf/bf-686.s \
	x86-macosx-gas/bn/x86-mont.s \
	x86-macosx-gas/bn/x86.s \
	x86-macosx-gas/camellia/cmll-x86.s \
	x86-macosx-gas/cast/cast-586.s \
	x86-macosx-gas/des/crypt586.s \
	x86-macosx-gas/des/des-586.s \
	x86-macosx-gas/md5/md5-586.s \
	x86-macosx-gas/rc4/rc4-586.s \
	x86-macosx-gas/rc5/rc5-586.s \
	x86-macosx-gas/ripemd/rmd-586.s \
	x86-macosx-gas/sha/sha1-586.s \
	x86-macosx-gas/sha/sha256-586.s \
	x86-macosx-gas/sha/sha512-586.s \
	x86-macosx-gas/whrlpool/wp-mmx.s \
	x86-macosx-gas/x86cpuid.s \
	x64-macosx-gas/aes/aes-x86_64.s \
	x64-macosx-gas/bn/x86_64-mont.s \
	x64-macosx-gas/camellia/cmll-x86_64.s \
	x64-macosx-gas/md5/md5-x86_64.s \
	x64-macosx-gas/rc4/rc4-x86_64.s \
	x64-macosx-gas/sha/sha1-x86_64.s \
	x64-macosx-gas/sha/sha512-x86_64.s \
	x64-macosx-gas/whrlpool/wp-x86_64.s \
	x64-macosx-gas/x86_64cpuid.s \
	x86-win32-masm/aes/aes-586.asm \
	x86-win32-masm/bf/bf-686.asm \
	x86-win32-masm/bn/x86-mont.asm \
	x86-win32-masm/bn/x86.asm \
	x86-win32-masm/camellia/cmll-x86.asm \
	x86-win32-masm/cast/cast-586.asm \
	x86-win32-masm/des/crypt586.asm \
	x86-win32-masm/des/des-586.asm \
	x86-win32-masm/md5/md5-586.asm \
	x86-win32-masm/rc4/rc4-586.asm \
	x86-win32-masm/rc5/rc5-586.asm \
	x86-win32-masm/ripemd/rmd-586.asm \
	x86-win32-masm/sha/sha1-586.asm \
	x86-win32-masm/sha/sha256-586.asm \
	x86-win32-masm/sha/sha512-586.asm \
	x86-win32-masm/whrlpool/wp-mmx.asm \
	x86-win32-masm/x86cpuid.asm \
	x64-win32-masm/aes/aes-x86_64.asm \
	x64-win32-masm/bn/x86_64-mont.asm \
	x64-win32-masm/camellia/cmll-x86_64.asm \
	x64-win32-masm/md5/md5-x86_64.asm \
	x64-win32-masm/rc4/rc4-x86_64.asm \
	x64-win32-masm/sha/sha1-x86_64.asm \
	x64-win32-masm/sha/sha512-x86_64.asm \
	x64-win32-masm/whrlpool/wp-x86_64.asm \
	x64-win32-masm/x86_64cpuid.asm \

x64-elf-gas/%.s x86-elf-gas/%.s:
	$(PERL) $< elf > $@

x64-macosx-gas/%.s x86-macosx-gas/%.s:
	$(PERL) $< macosx > $@

x64-win32-masm/%.asm:
	$(PERL) $< masm > $@

x86-win32-masm/%.asm:
	$(PERL) $< win32 > $@

.PHONY:	all
all:	$(OUTPUTS)
	# strip trailing whitespace and final blank newline
	sed -sri -e 's/\s+$$/\n/' -e '$$ { /^$$/d }' $^

clean:
	find . -iname '*.asm' -exec rm "{}" \;
	find . -iname '*.s' -exec rm "{}" \;

x64-elf-gas/aes/aes-x86_64.s: ../openssl/crypto/aes/asm/aes-x86_64.pl
x64-elf-gas/bn/x86_64-mont.s: ../openssl/crypto/bn/asm/x86_64-mont.pl
x64-elf-gas/camellia/cmll-x86_64.s: ../openssl/crypto/camellia/asm/cmll-x86_64.pl
x64-elf-gas/md5/md5-x86_64.s: ../openssl/crypto/md5/asm/md5-x86_64.pl
x64-elf-gas/rc4/rc4-x86_64.s: ../openssl/crypto/rc4/asm/rc4-x86_64.pl
x64-elf-gas/sha/sha1-x86_64.s: ../openssl/crypto/sha/asm/sha1-x86_64.pl
x64-elf-gas/sha/sha512-x86_64.s: ../openssl/crypto/sha/asm/sha512-x86_64.pl
x64-elf-gas/whrlpool/wp-x86_64.s: ../openssl/crypto/whrlpool/asm/wp-x86_64.pl
x64-elf-gas/x86_64cpuid.s: ../openssl/crypto/x86_64cpuid.pl
x64-macosx-gas/aes/aes-x86_64.s: ../openssl/crypto/aes/asm/aes-x86_64.pl
x64-macosx-gas/bn/x86_64-mont.s: ../openssl/crypto/bn/asm/x86_64-mont.pl
x64-macosx-gas/camellia/cmll-x86_64.s: ../openssl/crypto/camellia/asm/cmll-x86_64.pl
x64-macosx-gas/md5/md5-x86_64.s: ../openssl/crypto/md5/asm/md5-x86_64.pl
x64-macosx-gas/rc4/rc4-x86_64.s: ../openssl/crypto/rc4/asm/rc4-x86_64.pl
x64-macosx-gas/sha/sha1-x86_64.s: ../openssl/crypto/sha/asm/sha1-x86_64.pl
x64-macosx-gas/sha/sha512-x86_64.s: ../openssl/crypto/sha/asm/sha512-x86_64.pl
x64-macosx-gas/whrlpool/wp-x86_64.s: ../openssl/crypto/whrlpool/asm/wp-x86_64.pl
x64-macosx-gas/x86_64cpuid.s: ../openssl/crypto/x86_64cpuid.pl
x64-win32-masm/aes/aes-x86_64.asm: ../openssl/crypto/aes/asm/aes-x86_64.pl
x64-win32-masm/bn/x86_64-mont.asm: ../openssl/crypto/bn/asm/x86_64-mont.pl
x64-win32-masm/camellia/cmll-x86_64.asm: ../openssl/crypto/camellia/asm/cmll-x86_64.pl
x64-win32-masm/md5/md5-x86_64.asm: ../openssl/crypto/md5/asm/md5-x86_64.pl
x64-win32-masm/rc4/rc4-x86_64.asm: ../openssl/crypto/rc4/asm/rc4-x86_64.pl
x64-win32-masm/sha/sha1-x86_64.asm: ../openssl/crypto/sha/asm/sha1-x86_64.pl
x64-win32-masm/sha/sha512-x86_64.asm: ../openssl/crypto/sha/asm/sha512-x86_64.pl
x64-win32-masm/whrlpool/wp-x86_64.asm: ../openssl/crypto/whrlpool/asm/wp-x86_64.pl
x64-win32-masm/x86_64cpuid.asm: ../openssl/crypto/x86_64cpuid.pl
x86-elf-gas/aes/aes-586.s: ../openssl/crypto/aes/asm/aes-586.pl
x86-elf-gas/bf/bf-686.s: ../openssl/crypto/bf/asm/bf-686.pl
x86-elf-gas/bn/x86-mont.s: ../openssl/crypto/bn/asm/x86-mont.pl
x86-elf-gas/bn/x86.s: ../openssl/crypto/bn/asm/x86.pl
x86-elf-gas/camellia/cmll-x86.s: ../openssl/crypto/camellia/asm/cmll-x86.pl
x86-elf-gas/cast/cast-586.s: ../openssl/crypto/cast/asm/cast-586.pl
x86-elf-gas/des/crypt586.s: ../openssl/crypto/des/asm/crypt586.pl
x86-elf-gas/des/des-586.s: ../openssl/crypto/des/asm/des-586.pl
x86-elf-gas/md5/md5-586.s: ../openssl/crypto/md5/asm/md5-586.pl
x86-elf-gas/rc4/rc4-586.s: ../openssl/crypto/rc4/asm/rc4-586.pl
x86-elf-gas/rc5/rc5-586.s: ../openssl/crypto/rc5/asm/rc5-586.pl
x86-elf-gas/ripemd/rmd-586.s: ../openssl/crypto/ripemd/asm/rmd-586.pl
x86-elf-gas/sha/sha1-586.s: ../openssl/crypto/sha/asm/sha1-586.pl
x86-elf-gas/sha/sha256-586.s: ../openssl/crypto/sha/asm/sha256-586.pl
x86-elf-gas/sha/sha512-586.s: ../openssl/crypto/sha/asm/sha512-586.pl
x86-elf-gas/whrlpool/wp-mmx.s: ../openssl/crypto/whrlpool/asm/wp-mmx.pl
x86-elf-gas/x86cpuid.s: ../openssl/crypto/x86cpuid.pl
x86-macosx-gas/aes/aes-586.s: ../openssl/crypto/aes/asm/aes-586.pl
x86-macosx-gas/bf/bf-686.s: ../openssl/crypto/bf/asm/bf-686.pl
x86-macosx-gas/bn/x86-mont.s: ../openssl/crypto/bn/asm/x86-mont.pl
x86-macosx-gas/bn/x86.s: ../openssl/crypto/bn/asm/x86.pl
x86-macosx-gas/camellia/cmll-x86.s: ../openssl/crypto/camellia/asm/cmll-x86.pl
x86-macosx-gas/cast/cast-586.s: ../openssl/crypto/cast/asm/cast-586.pl
x86-macosx-gas/des/crypt586.s: ../openssl/crypto/des/asm/crypt586.pl
x86-macosx-gas/des/des-586.s: ../openssl/crypto/des/asm/des-586.pl
x86-macosx-gas/md5/md5-586.s: ../openssl/crypto/md5/asm/md5-586.pl
x86-macosx-gas/rc4/rc4-586.s: ../openssl/crypto/rc4/asm/rc4-586.pl
x86-macosx-gas/rc5/rc5-586.s: ../openssl/crypto/rc5/asm/rc5-586.pl
x86-macosx-gas/ripemd/rmd-586.s: ../openssl/crypto/ripemd/asm/rmd-586.pl
x86-macosx-gas/sha/sha1-586.s: ../openssl/crypto/sha/asm/sha1-586.pl
x86-macosx-gas/sha/sha256-586.s: ../openssl/crypto/sha/asm/sha256-586.pl
x86-macosx-gas/sha/sha512-586.s: ../openssl/crypto/sha/asm/sha512-586.pl
x86-macosx-gas/whrlpool/wp-mmx.s: ../openssl/crypto/whrlpool/asm/wp-mmx.pl
x86-macosx-gas/x86cpuid.s: ../openssl/crypto/x86cpuid.pl
x86-win32-masm/aes/aes-586.asm: ../openssl/crypto/aes/asm/aes-586.pl
x86-win32-masm/bf/bf-686.asm: ../openssl/crypto/bf/asm/bf-686.pl
x86-win32-masm/bn/x86.asm: ../openssl/crypto/bn/asm/x86.pl
x86-win32-masm/bn/x86-mont.asm: ../openssl/crypto/bn/asm/x86-mont.pl
x86-win32-masm/camellia/cmll-x86.asm: ../openssl/crypto/camellia/asm/cmll-x86.pl
x86-win32-masm/cast/cast-586.asm: ../openssl/crypto/cast/asm/cast-586.pl
x86-win32-masm/des/crypt586.asm: ../openssl/crypto/des/asm/crypt586.pl
x86-win32-masm/des/des-586.asm: ../openssl/crypto/des/asm/des-586.pl
x86-win32-masm/md5/md5-586.asm: ../openssl/crypto/md5/asm/md5-586.pl
x86-win32-masm/rc4/rc4-586.asm: ../openssl/crypto/rc4/asm/rc4-586.pl
x86-win32-masm/rc5/rc5-586.asm: ../openssl/crypto/rc5/asm/rc5-586.pl
x86-win32-masm/ripemd/rmd-586.asm: ../openssl/crypto/ripemd/asm/rmd-586.pl
x86-win32-masm/sha/sha1-586.asm: ../openssl/crypto/sha/asm/sha1-586.pl
x86-win32-masm/sha/sha256-586.asm: ../openssl/crypto/sha/asm/sha256-586.pl
x86-win32-masm/sha/sha512-586.asm: ../openssl/crypto/sha/asm/sha512-586.pl
x86-win32-masm/whrlpool/wp-mmx.asm: ../openssl/crypto/whrlpool/asm/wp-mmx.pl
x86-win32-masm/x86cpuid.asm: ../openssl/crypto/x86cpuid.pl

=== debian/changelog ===
nodejs (0.8.15-1) unstable; urgency=low

  * Initial release

 -- Gabriele Santilli <gabriele@prolific.com>  Tue, 11 Dec 2012 11:12:14 +0100

=== debian/control ===
Source: nodejs
Section: web
Priority: extra
Maintainer: Gabriele Santilli <gabriele@prolific.com>
Build-Depends: debhelper (>= 8.0.0),
 autotools-dev,
 zlib1g-dev,
 python
Standards-Version: 3.9.2
Homepage: http://nodejs.org/

Package: nodejs-dev
Section: devel
Architecture: any
Depends: ${misc:Depends},
 nodejs (= ${binary:Version})
Description: Development files for Node.js
 Node.js provides an event-based server-side javascript engine.
 .
 It is similar in design to and influenced by systems like
 Ruby's Event Machine or Python's Twisted.
 .
 Node.js takes the event model a bit further - it presents the event
 loop as a language construct instead of as a library.
 .
 This package is needed to build plugins.

Package: nodejs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Node.js event-based server-side javascript engine
 Node.js is similar in design to and influenced by systems like
 Ruby's Event Machine or Python's Twisted.
 .
 It takes the event model a bit further - it presents the event
 loop as a language construct instead of as a library.
 .
 Node.js is bundled with several useful libraries to handle server tasks :
 System, Events, Standard I/O, Modules, Timers, Child Processes, POSIX,
 HTTP, Multipart Parsing, TCP, DNS, Assert, Path, URL, Query Strings.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

override_dh_auto_clean:
	make clean
	rm -f node
	rm -f node_g
	rm -f .lock-wscript
	rm -rf build
	rm -f test/fixtures/hello.txt
	rm -rf test/tmp
	find . -name "*.pyc" -delete
	rm -rf out
	rm -f config.gypi config.mk

override_dh_auto_configure:
	./configure --prefix=/usr --without-npm --shared-zlib

override_dh_auto_install:
	dh_auto_install
	ln -s node debian/tmp/usr/bin/nodejs
	ln -s node.1 debian/tmp/usr/share/man/man1/nodejs.1
	mv debian/tmp/usr/lib/node debian/tmp/usr/lib/nodejs

%:
	dh $@ --with autotools_dev

## nodejs 0.10.15~dfsg1

=== debian/changelog ===
nodejs (0.10.15~dfsg1-4) unstable; urgency=low

  * Update 2005 patch, adding a handful of tests that can fail on
    slow platforms.
  * Add 1004 patch to fix test failures when writing NaN to buffer
    on mipsel.

 -- Jérémy Lal <kapouer@melix.org>  Wed, 14 Aug 2013 00:16:46 +0200

nodejs (0.10.15~dfsg1-3) unstable; urgency=low

  * Update 2005 patch, test-stdout-close-unref and
    test-tls-zero-clear-in can fail on buildd.

 -- Jérémy Lal <kapouer@melix.org>  Sat, 10 Aug 2013 09:47:34 +0200

nodejs (0.10.15~dfsg1-2) unstable; urgency=low

  * Update 2005 patch, allow several tests to fail because of inner
    timeouts or race conditions on slow buildd servers. 

 -- Jérémy Lal <kapouer@melix.org>  Sat, 10 Aug 2013 00:09:59 +0200

nodejs (0.10.15~dfsg1-1) unstable; urgency=low

  * Upstream update.
  * kfreebsd build: uv need -ldl.
  * Update 2005 patch, allow 12 udp4 tests to fail on buildd servers.
  * 2011 patch: test.py --arch=target_arch detected by ./configure.
    This fixes an error in mipsel build.

 -- Jérémy Lal <kapouer@melix.org>  Mon, 29 Jul 2013 21:14:09 +0200

nodejs (0.10.13~dfsg1-2) unstable; urgency=low

  [ Jérémy Lal ]
  * Fix kfreebsd build:
    + Depend on libkvm-dev on kfreebsd systems.
    + Tighten to build-depend on gyp versions that builds using flock.
    + Add patch 2012 to add __FreeBSD_kernel__ defines.
    + Add patch 1001 readFile not throwing EISDIR on some archs.
    + Add patches 1002, 1003 to fix bugs in unit tests.
    + Set gyp flavor in rules file using --dest-os switch.
  * Restrict make check target in rules to avoid the call to jslint.

  [ Jonas Smedegaard ]
  * Make ~dfsg version suffix only optionally numbered.
  * Stop breaking packages depending on old node binary: None of the
    affected packages exist in any Debian suite since about a year.
  * Declare all package relations except same-source ones in rules file.
  * Add notes in rules file about reasons for versioned dependencies.
  * Drop NEWS file: Contains only entries for versions older than
    existing in any Debian suite since about a year.
  * Rewrite short and long descriptions based on upstream texts.
  * Bump standards-version to 3.9.4.

 -- Jérémy Lal <kapouer@melix.org>  Sun, 28 Jul 2013 18:50:13 +0200

nodejs (0.10.13~dfsg1-1) experimental; urgency=low

  * New upstream release.

 -- Jérémy Lal <kapouer@melix.org>  Fri, 12 Jul 2013 12:23:38 +0200

nodejs (0.10.11~dfsg1-1) experimental; urgency=low

  * New upstream release. 

 -- Jérémy Lal <kapouer@melix.org>  Fri, 14 Jun 2013 01:32:49 +0200

nodejs (0.10.10~dfsg1-1) experimental; urgency=low

  * New upstream release. 

 -- Jérémy Lal <kapouer@melix.org>  Wed, 05 Jun 2013 00:21:10 +0200

nodejs (0.10.9~dfsg1-1) experimental; urgency=low

  * New upstream release.
  * Unapply 1001_revert_uv_osx_fix.patch, fixed upstream. 

 -- Jérémy Lal <kapouer@melix.org>  Thu, 30 May 2013 23:08:55 +0200

nodejs (0.10.8~dfsg1-1) experimental; urgency=low

  * New upstream release.
  * Set process.config.default_configuration to Release by removing
    --debug flag.
  * 1001_revert_uv_osx_fix.patch: revert a libuv commit bringing a
    test/simple/test-stdout-close-catch.js regression.

 -- Jérémy Lal <kapouer@melix.org>  Wed, 29 May 2013 00:42:14 +0200

nodejs (0.10.7~dfsg1-1) experimental; urgency=low

  * New upstream release.

 -- Jérémy Lal <kapouer@melix.org>  Sat, 18 May 2013 00:40:02 +0200

nodejs (0.10.6~dfsg1-1) experimental; urgency=low

  * New upstream release. 

 -- Jérémy Lal <kapouer@melix.org>  Wed, 15 May 2013 00:12:32 +0200

nodejs (0.10.5~dfsg1-2) experimental; urgency=low

  * nodejs-dev.links: fix symlinks to v8 headers.

 -- Jérémy Lal <kapouer@melix.org>  Sun, 28 Apr 2013 21:15:31 +0200

nodejs (0.10.5~dfsg1-1) experimental; urgency=low

  * New upstream release. 
  * nodejs-dev.install: common.gypi is needed by node-gyp.

 -- Jérémy Lal <kapouer@melix.org>  Sun, 28 Apr 2013 20:47:03 +0200

nodejs (0.10.1~dfsg1-2) experimental; urgency=low

  * copyright: use Source field to document dfsg-repackaging.
  * nodejs-dev: install headers with the directory layout expected
    node-gyp.
  * 2005_expected_failing_tests.patch: some tests fail in chroot.

 -- Jérémy Lal <kapouer@melix.org>  Mon, 25 Mar 2013 16:21:25 +0100

nodejs (0.10.1~dfsg1-1) experimental; urgency=low

  * New upstream release. 

 -- Jérémy Lal <kapouer@melix.org>  Fri, 22 Mar 2013 00:11:25 +0100

nodejs (0.10.0~dfsg1-2) experimental; urgency=low

  * Fix have nodejs-dev depend on libv8-3.14-dev (not bogus
    libv8-3--14dev).

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 19 Mar 2013 05:07:15 +0100

nodejs (0.10.0~dfsg1-1) experimental; urgency=low

  [ upstream ]
  * New release.
    + Node-waf dropped: Replaced by node-gyp (packaged independently).

  [ Jérémy Lal ]
  * Build-depend unversioned on cdbs: Needed version satisfied in stable
    and oldstable no longer supported.
  * Upstream tarball repackaging:
    + Exclude test/gc/node_modules.
    + Exclude tools/blog.
    + Exclude tools/wrk, a benchmark tool.
    + Exclude tools/msvs/genfiles, it should be generated instead. It
      also contains binaries and a meaningless copyright statement.
    + Exclude deps/cares.
    + Update exclusions to match already removed files.
  * Documentation building:
    + Remove workaround from 0.6.19~dfsg1-3.
    + Delete already unapplied 1002_upstream_forgot_to_build_doc.patch.
    + Remove script tags calling external assets from html files.
  * Patches:
    + Remove all patches regarding WAF.
    + Remove patches involving eio or ev since those libs have been
      rewritten inside uv.
    + Remove 2008_fix_use_shared_cares.patch, no longer needed.
    + Adjust 2005_expected_failing_tests.patch: re-enable some tests.
    + Merge path, binary renames into 2001_FHS_paths_for_nodejs.patch.
    + Remove unneeded 2002_build_without_libv8_debug.patch.
    + Remove 2007_fix_use_shared_zlib.patch, replaced by --shared-zlib,


=== debian/control ===
Source: nodejs
Section: web
Priority: extra
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Jérémy Lal <kapouer@melix.org>,
 Jonas Smedegaard <dr@jones.dk>
Build-Depends: cdbs,
 devscripts,
 debhelper,
 dh-buildinfo,
 binutils,
 openssl (>= 1.0.0g),
 pkg-config,
 bash-completion,
 curl,
 procps,
 zlib1g-dev,
 libkvm-dev [kfreebsd-any],
 gyp (>= 0.1~svn1654),
 python,
 libv8-3.14-dev (>= 3.7),
 libssl-dev (>= 1.0.0g),
 libc-ares-dev (>= 1.7.5)
Standards-Version: 3.9.4
Homepage: http://nodejs.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/nodejs.git
Vcs-Git: git://anonscm.debian.org/collab-maint/nodejs.git

Package: nodejs-dev
Section: devel
Architecture: any
Depends: ${cdbs:Depends},
 ${misc:Depends},
 nodejs (= ${binary:Version})
Description: evented I/O for V8 javascript (development files)
 Node.js is a platform built on Chrome's JavaScript runtime for easily
 building fast, scalable network applications. Node.js uses an
 event-driven, non-blocking I/O model that makes it lightweight and
 efficient, perfect for data-intensive real-time applications that run
 across distributed devices.
 .
 This package is needed to build plugins.

Package: nodejs
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: evented I/O for V8 javascript
 Node.js is a platform built on Chrome's JavaScript runtime for easily
 building fast, scalable network applications. Node.js uses an
 event-driven, non-blocking I/O model that makes it lightweight and
 efficient, perfect for data-intensive real-time applications that run
 across distributed devices.
 .
 Node.js is bundled with several useful libraries to handle server
 tasks:
 .
 System, Events, Standard I/O, Modules, Timers, Child Processes, POSIX,
 HTTP, Multipart Parsing, TCP, DNS, Assert, Path, URL, Query Strings.

Package: nodejs-dbg
Section: debug
Architecture: any
Depends: ${misc:Depends},
 nodejs (= ${binary:Version})
Recommends: libv8-3.14-dbg
Description: evented I/O for V8 javascript (debug)
 Node.js is a platform built on Chrome's JavaScript runtime for easily
 building fast, scalable network applications. Node.js uses an
 event-driven, non-blocking I/O model that makes it lightweight and
 efficient, perfect for data-intensive real-time applications that run
 across distributed devices.
 .
 This package contains the debugging symbols.

Package: nodejs-legacy
Priority: extra
Architecture: all
Depends: ${misc:Depends},
 nodejs (>= 0.6.19~dfsg1-3~)
Conflicts: node
Description: evented I/O for V8 javascript (legacy symlink)
 Node.js is a platform built on Chrome's JavaScript runtime for easily
 building fast, scalable network applications. Node.js uses an
 event-driven, non-blocking I/O model that makes it lightweight and
 efficient, perfect for data-intensive real-time applications that run
 across distributed devices.
 .
 This package contains a symlink for legacy Node.js code requiring
 binary to be /usr/bin/node (not /usr/bin/nodejs as provided in Debian).
 .
 No other Debian packages should depend on this package.  For more
 information, see
 <http://lists.debian.org/debian-devel-announce/2012/07/msg00002.html>

## nodejs 0.10.21~dfsg1

=== Makefile ===
--- 
+++ 
@@ -2,8 +2,11 @@
 
 BUILDTYPE ?= Release
 PYTHON ?= python
+NINJA ?= ninja
 DESTDIR ?=
 SIGN ?=
+
+NODE ?= ./node
 
 # Default to verbose builds.
 # To do quiet/pretty builds, run `make V=` to set V to an empty string,
@@ -22,22 +25,34 @@
 # to check for changes.
 .PHONY: node node_g
 
+ifeq ($(USE_NINJA),1)
+node: config.gypi
+	$(NINJA) -C out/Release/
+	ln -fs out/Release/node node
+
+node_g: config.gypi
+	$(NINJA) -C out/Debug/
+	ln -fs out/Debug/node $@
+else
 node: config.gypi out/Makefile
 	$(MAKE) -C out BUILDTYPE=Release V=$(V)
 	ln -fs out/Release/node node
 
 node_g: config.gypi out/Makefile
 	$(MAKE) -C out BUILDTYPE=Debug V=$(V)
-	ln -fs out/Debug/node node_g
+	ln -fs out/Debug/node $@
+endif
+
+out/Makefile: common.gypi deps/uv/uv.gyp deps/http_parser/http_parser.gyp deps/zlib/zlib.gyp deps/v8/build/common.gypi deps/v8/tools/gyp/v8.gyp node.gyp config.gypi
+ifeq ($(USE_NINJA),1)
+	touch out/Makefile
+	$(PYTHON) tools/gyp_node -f ninja
+else
+	$(PYTHON) tools/gyp_node -f make
+endif
 
 config.gypi: configure
-	./configure
-
-out/Debug/node:
-	$(MAKE) -C out BUILDTYPE=Debug V=$(V)
-
-out/Makefile: common.gypi deps/uv/uv.gyp deps/http_parser/http_parser.gyp deps/zlib/zlib.gyp deps/v8/build/common.gypi deps/v8/tools/gyp/v8.gyp node.gyp config.gypi
-	$(PYTHON) tools/gyp_node -f make
+	$(PYTHON) ./configure
 
 install: all
 	$(PYTHON) tools/install.py $@ $(DESTDIR)
@@ -59,7 +74,7 @@
 
 test: all
 	$(PYTHON) tools/test.py --mode=release simple message
-	PYTHONPATH=tools/closure_linter/ $(PYTHON) tools/closure_linter/closure_linter/gjslint.py --unix_mode --strict --nojsdoc -r lib/ -r src/ --exclude_files lib/punycode.js
+	$(MAKE) jslint
 
 test-http1: all
 	$(PYTHON) tools/test.py --mode=release --use-http1 simple message
@@ -192,7 +207,8 @@
 docclean:
 	-rm -rf out/doc
 
-VERSION=v$(shell $(PYTHON) tools/getnodeversion.py)
+RAWVER=$(shell $(PYTHON) tools/getnodeversion.py)
+VERSION=v$(RAWVER)
 RELEASE=$(shell $(PYTHON) tools/getnodeisrelease.py)
 PLATFORM=$(shell uname | tr '[:upper:]' '[:lower:]')
 ifeq ($(findstring x86_64,$(shell uname -m)),x86_64)
@@ -203,14 +219,27 @@
 ifeq ($(DESTCPU),x64)
 ARCH=x64
 else
+ifeq ($(DESTCPU),arm)
+ARCH=arm
+else
 ARCH=x86
 endif
+endif
 TARNAME=node-$(VERSION)
+ifdef NIGHTLY
+TAG = nightly-$(NIGHTLY)
+TARNAME=node-$(VERSION)-$(TAG)
+endif
 TARBALL=$(TARNAME).tar.gz
 BINARYNAME=$(TARNAME)-$(PLATFORM)-$(ARCH)
 BINARYTAR=$(BINARYNAME).tar.gz
 PKG=out/$(TARNAME).pkg
 packagemaker=/Developer/Applications/Utilities/PackageMaker.app/Contents/MacOS/PackageMaker
+
+PKGSRC=nodejs-$(DESTCPU)-$(RAWVER).tgz
+ifdef NIGHTLY
+PKGSRC=nodejs-$(DESTCPU)-$(RAWVER)-$(TAG).tgz
+endif
 
 dist: doc $(TARBALL) $(PKG)
 
@@ -228,7 +257,7 @@
 		echo "" >&2 ; \
 		exit 1 ; \
 	fi
-	@if [ "$(RELEASE)" = "1" ]; then \
+	@if [ "$(NIGHTLY)" != "" -o "$(RELEASE)" = "1" ]; then \
 		exit 0; \
 	else \
 	  echo "" >&2 ; \
@@ -243,12 +272,12 @@
 $(PKG): release-only
 	rm -rf $(PKGDIR)
 	rm -rf out/deps out/Release
-	./configure --prefix=$(PKGDIR)/32/usr/local --without-snapshot --dest-cpu=ia32
-	$(MAKE) install V=$(V)
+	$(PYTHON) ./configure --without-snapshot --dest-cpu=ia32 --tag=$(TAG)
+	$(MAKE) install V=$(V) DESTDIR=$(PKGDIR)/32
 	rm -rf out/deps out/Release
-	./configure --prefix=$(PKGDIR)/usr/local --without-snapshot --dest-cpu=x64
-	$(MAKE) install V=$(V)
-	SIGN="$(SIGN)" PKGDIR="$(PKGDIR)" bash tools/osx-codesign.sh
+	$(PYTHON) ./configure --without-snapshot --dest-cpu=x64 --tag=$(TAG)
+	$(MAKE) install V=$(V) DESTDIR=$(PKGDIR)
+	SIGN="$(APP_SIGN)" PKGDIR="$(PKGDIR)" bash tools/osx-codesign.sh
 	lipo $(PKGDIR)/32/usr/local/bin/node \
 		$(PKGDIR)/usr/local/bin/node \
 		-output $(PKGDIR)/usr/local/bin/node-universal \
@@ -259,7 +288,7 @@
 		--id "org.nodejs.Node" \
 		--doc tools/osx-pkg.pmdoc \
 		--out $(PKG)
-	SIGN="$(SIGN)" PKG="$(PKG)" bash tools/osx-productsign.sh
+	SIGN="$(INT_SIGN)" PKG="$(PKG)" bash tools/osx-productsign.sh
 
 $(TARBALL): release-only node doc
 	git archive --format=tar --prefix=$(TARNAME)/ HEAD | tar xf -
@@ -278,7 +307,7 @@
 $(BINARYTAR): release-only
 	rm -rf $(BINARYNAME)
 	rm -rf out/deps out/Release
-	./configure --prefix=/ --without-snapshot --dest-cpu=$(DESTCPU)
+	$(PYTHON) ./configure --prefix=/ --without-snapshot --dest-cpu=$(DESTCPU) --tag=$(TAG) $(CONFIG_FLAGS)
 	$(MAKE) install DESTDIR=$(BINARYNAME) V=$(V) PORTABLE=1
 	cp README.md $(BINARYNAME)
 	cp LICENSE $(BINARYNAME)
@@ -289,12 +318,62 @@
 
 binary: $(BINARYTAR)
 
+$(PKGSRC): release-only
+	rm -rf dist out
+	$(PYTHON) configure --prefix=/ --without-snapshot \
+		--dest-cpu=$(DESTCPU) --tag=$(TAG) $(CONFIG_FLAGS)
+	$(MAKE) install DESTDIR=dist
+	(cd dist; find * -type f | sort) > packlist
+	pkg_info -X pkg_install | \
+		egrep '^(MACHINE_ARCH|OPSYS|OS_VERSION|PKGTOOLS_VERSION)' > build-info
+	pkg_create -B build-info -c tools/pkgsrc/comment -d tools/pkgsrc/description \
+		-f packlist -I /opt/local -p dist -U $(PKGSRC)
+
+pkgsrc: $(PKGSRC)
+
 dist-upload: $(TARBALL) $(PKG)
 	ssh node@nodejs.org mkdir -p web/nodejs.org/dist/$(VERSION)
 	scp $(TARBALL) node@nodejs.org:~/web/nodejs.org/dist/$(VERSION)/$(TARBALL)
 	scp $(PKG) node@nodejs.org:~/web/nodejs.org/dist/$(VERSION)/$(TARNAME).pkg
 
-bench:
+wrkclean:
+	$(MAKE) -C tools/wrk/ clean
+	rm tools/wrk/wrk
+
+wrk: tools/wrk/wrk
+tools/wrk/wrk:
+	$(MAKE) -C tools/wrk/
+
+bench-net: all
+	@$(NODE) benchmark/common.js net
+
+bench-crypto: all
+	@$(NODE) benchmark/common.js crypto
+
+bench-tls: all
+	@$(NODE) benchmark/common.js tls
+
+bench-http: wrk all
+	@$(NODE) benchmark/common.js http
+
+bench-fs: all
+	@$(NODE) benchmark/common.js fs
+
+bench-misc: all
+	@$(MAKE) -C benchmark/misc/function_call/
+	@$(NODE) benchmark/common.js misc
+
+bench-array: all
+	@$(NODE) benchmark/common.js arrays
+
+bench-buffer: all
+	@$(NODE) benchmark/common.js buffers
+
+bench-all: bench bench-misc bench-array bench-buffer
+
+bench: bench-net bench-http bench-fs bench-tls
+
+bench-http-simple:
 	 benchmark/http_simple_bench.sh
 
 bench-idle:
@@ -313,4 +392,4 @@
 
 lint: jslint cpplint
 
-.PHONY: lint cpplint jslint bench clean docopen docclean doc dist distclean check uninstall install install-includes install-bin all staticlib dynamiclib test test-all website-upload pkg blog blogclean tar binary release-only
+.PHONY: lint cpplint jslint bench clean docopen docclean doc dist distclean check uninstall install install-includes install-bin all staticlib dynamiclib test test-all website-upload pkg blog blogclean tar binary release-only bench-http-simple bench-idle bench-all bench bench-misc bench-array bench-buffer bench-net bench-http bench-fs bench-tls

=== debian/changelog ===
nodejs (0.10.21~dfsg1-1~bpo7+1) wheezy-backports; urgency=low

  * Upload to wheezy-backports.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 27 Oct 2013 21:05:54 +0100

nodejs (0.10.21~dfsg1-1) unstable; urgency=low

  * Upstream update.
  * Update 2005 patch, allow test-http-pipeline-flood to fail.

 -- Jérémy Lal <kapouer@melix.org>  Sat, 19 Oct 2013 01:26:18 +0200

nodejs (0.10.20~dfsg1-1) unstable; urgency=low

  * Upstream update. 

 -- Jérémy Lal <kapouer@melix.org>  Tue, 01 Oct 2013 13:08:52 +0200

nodejs (0.10.19~dfsg1-1) unstable; urgency=low

  * Upstream update. 

 -- Jérémy Lal <kapouer@melix.org>  Fri, 27 Sep 2013 11:21:18 +0200

nodejs (0.10.18~dfsg1-1) unstable; urgency=low

  * Upstream update. 

 -- Jérémy Lal <kapouer@melix.org>  Wed, 04 Sep 2013 20:54:54 +0200

nodejs (0.10.17~dfsg1-2) unstable; urgency=low

  * Update 2005 patch with new failing-on-slow-platforms tests.

 -- Jérémy Lal <kapouer@melix.org>  Sat, 31 Aug 2013 09:45:06 +0200

nodejs (0.10.17~dfsg1-1) unstable; urgency=low

  * Upstream update.
  * Update 2005 patch with new failing-on-slow-platforms tests.

 -- Jérémy Lal <kapouer@melix.org>  Thu, 29 Aug 2013 17:18:29 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 Priority: extra
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: Jérémy Lal <kapouer@melix.org>,
- Jonas Smedegaard <dr@jones.dk>
+ Jonas Smedegaard <dr@jones.dk>,
+ Mike Gabriel <sunweaver@debian.org>,
 Build-Depends: cdbs,
  devscripts,
  debhelper,

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/upstream-tarball.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

DEB_UPSTREAM_URL = http://nodejs.org/dist/v$(DEB_UPSTREAM_TARBALL_VERSION)
DEB_UPSTREAM_TARBALL_BASENAME = node-v$(DEB_UPSTREAM_TARBALL_VERSION)

# ./deps/npm contains some non-DFSG files, repackaging is needed.
# Conveniently, remove unused software to ease debian/copyright maintenance.
DEB_UPSTREAM_REPACKAGE_EXCLUDES += \
./deps/npm/ \
./deps/openssl/ \
./deps/zlib/ \
./deps/cares/ \
./test/gc/node_modules/ \
./tools/blog/ \
./tools/gyp/ \
./tools/closure_linter/ \
./tools/msvs/genfiles/ \
./tools/wrk/

DEB_UPSTREAM_REPACKAGE_TAG := $(shell echo $(DEB_UPSTREAM_VERSION) | egrep -o "dfsg[0-9]*")

# recent OpenSSL needed because... FIXME (git commit c232e17)
ssl-minver = 1.0.0g

# Needed by upstream build
#  * recent gyp needed to build using flock
bdeps = binutils, openssl (>= $(ssl-minver)), pkg-config
bdeps +=, bash-completion, curl, procps, zlib1g-dev
bdeps +=, libkvm-dev [kfreebsd-any], gyp (>= 0.1~svn1654)

# Needed by upstream build and binary development package
#  * recent libv8 because... FIXME (git commit eb490ef)
#  * recent libc-ares because... FIXME (git commit ccad613)
deps = python, libv8-3.14-dev (>= 3.7), libssl-dev (>= $(ssl-minver))
deps +=, libc-ares-dev (>= 1.7.5)

CDBS_BUILD_DEPENDS +=, $(bdeps), $(deps)
CDBS_DEPENDS_nodejs-dev = $(deps)

# suppress checking binary files, to not upset dpkg-source
DEB_COPYRIGHT_CHECK_IGNORE_REGEX = ^(doc/trademark-policy\.pdf|doc/mac_osx_nodejs_installer_logo\.png|doc/.*-white-stripe\.jpg|favicon\.ico|deps/v8/benchmarks/v8-logo\.png|test/fixtures/person\.jpg.*|src/res/node\.ico|debian/(changelog|copyright(|_hints|_newhints)))$

DEB_CONFIGURE_NORMAL_ARGS = ""
DEB_CONFIGURE_EXTRA_FLAGS = --without-npm --shared-v8 --without-snapshot --shared-cares --shared-openssl --shared-zlib --prefix=/usr

DEB_DESTDIR = $(CURDIR)/debian/tmp
DEB_MAKE_CLEAN_TARGET = clean
#  * relax regression tests when targeted experimental suite
exp-relax-check := $(if $(shell dpkg-parsechangelog | grep -x 'Distribution: \(experimental\|UNRELEASED\)'),-i)
DEB_MAKE_CHECK_TARGET = $(exp-relax-check) test-simple test-message

ifeq ($(DEB_HOST_ARCH_OS), kfreebsd)
DEB_CONFIGURE_EXTRA_FLAGS += --dest-os=kfreebsd
endif

# hardening gyp
CXXFLAGS+=$(CPPFLAGS)
export CXXFLAGS
export LDFLAGS

# properly clean files from build, test, python
clean::
	rm -f config.gypi
	rm -f config.mk
	rm -f test/fixtures/hello.txt
	rm -rf test/tmp
	find . -name "*.pyc" -delete
	rm -rf out

binary-post-install/nodejs::
	mv debian/nodejs/usr/bin/node debian/nodejs/usr/bin/nodejs
	mv debian/nodejs/usr/share/man/man1/node.1 debian/nodejs/usr/share/man/man1/nodejs.1

# remove *.json files from documentation
# remove all <script> tags from html files, js files are not installed anyway
# TODO: when doc will be generated from markdown, patch doc/template.html instead
binary-install/nodejs::
	find debian/nodejs/usr/share/doc/nodejs -name *.json -delete
	sed -i -n '1h; 1!H; $${g; s/<script[^><]*>[^><]*<.script[^><]*>//g; p;}' debian/nodejs/usr/share/doc/nodejs/api/*.html
